
#include "colors.inc"
#include "functions.inc"
#include "logo.inc"
#include "shapes2.inc"
#include "textures.inc"

global_settings {max_trace_level 5}

camera {location <0,20,-5> direction 2*z look_at <0,2,0>}

//camera {location <0.0 ,1 ,-3.0>
//        look_at  <0.0 , 2 , 0.0>}
        
light_source {<-140,200,300> rgb <1.0, 1.0, 0.95>*1.5}
light_source {<140,200,-300> rgb <0.9, 0.9, 1.00>*0.8 shadowless}

#declare r1 = seed(0); 

background {color rgb<1,1,1>}


//unterste Lage
#declare koerper1=

union{

sphere{<1,0,0>, 1}
sphere{<-1,0,0>, 1}
sphere{<3,0,0>, 1}
sphere{<-3,0,0>, 1}

sphere{<0,0,sqrt(3)>, 1}
sphere{<-2,0,sqrt(3)>, 1}
sphere{<2,0,sqrt(3)>, 1}

sphere{<1,0,2*sqrt(3)>, 1}
sphere{<-1,0,2*sqrt(3)>, 1}

sphere{<0,0,3*sqrt(3)>, 1}

texture{pigment{color rgb<1,0,0> transmit 0.5}
                finish { phong 1 reflection 0.2}
               }
      }


//mittlere Lage

#declare koerper2=

union{

sphere{<0,2*sqrt(2/3),(1/3)*sqrt(3)>, 1}
sphere{<-2,2*sqrt(2/3),(1/3)*sqrt(3)>, 1}
sphere{<2,2*sqrt(2/3),(1/3)*sqrt(3)>, 1}

sphere{<1,2*sqrt(2/3),(1/3)*sqrt(3)+sqrt(3)>, 1}
sphere{<-1,2*sqrt(2/3),(1/3)*sqrt(3)+sqrt(3)>, 1}

sphere{<0,2*sqrt(2/3),(1/3)*sqrt(3)+2*sqrt(3)>, 1}

     
        texture{pigment{ color rgb<0,0,1> transmit 0.5}
                finish { phong 1 reflection 0.2}
               }
      }

//obere Lage

#declare koerper3=

union{

sphere{<1,2*2*sqrt(2/3),2*(1/3)*sqrt(3)>, 1}
sphere{<-1,2*2*sqrt(2/3),2*(1/3)*sqrt(3)>, 1}

sphere{<0,2*2*sqrt(2/3),2*(1/3)*sqrt(3)+sqrt(3)>, 1}

     
        texture{pigment{ color rgb<0,1,0> transmit 0.5}
                finish { phong 1 reflection 0.2}
               }
      }




object {koerper1  rotate<50,30,30> }
object {koerper2  rotate<50,30,30> }
object {koerper3  rotate<50,30,30> }