
#include "colors.inc"
#include "functions.inc"
#include "logo.inc"
#include "shapes2.inc"
#include "textures.inc"

global_settings {max_trace_level 5}

camera {location <0,6.5,0> direction 2*z look_at <0,2,0>}


        
light_source {<-140,200,300> rgb <1.0, 1.0, 0.95>*1.5}
light_source {<140,200,-300> rgb <0.9, 0.9, 1.00>*0.8 shadowless}

#declare r1 = seed(0); 

background {color rgb<1,1,1>}




#declare koerper1=
union {

//Kugel:
sphere{<0,0,0>, 1.0 
      
        texture{pigment{ color rgb<1,0,0>}
                finish { phong 1 reflection 0.3}
               }
      }

//Kegel rechts:

cone{<1/sqrt(2),0,0>, 1/sqrt(2)
     <sqrt(2),0,0>, 0.0
     texture{pigment{ color rgb<0,0,1>}
                finish { phong 1 reflection 0.3}
               }
  
     }   
   
//Kegel links:

cone{<-1/sqrt(2),0,0>, 1/sqrt(2)
     <-sqrt(2),0,0>, 0.0
     texture{pigment{ color rgb<0,0,1>}
                finish { phong 1 reflection 0.3}
               }
  
     }

//Kegel oben:

cone{<0,1/sqrt(2),0>, 1/sqrt(2)
     <0,sqrt(2),0>, 0.0
     texture{pigment{ color rgb<0,0,1>}
                finish { phong 1 reflection 0.3}
               }
  
     }

//Kegel unten:

cone{<0,-1/sqrt(2),0>, 1/sqrt(2)
     <0,-sqrt(2),0>, 0.0
     texture{pigment{ color rgb<0,0,1>}
                finish { phong 1 reflection 0.3}
               }
  
     }

//Kegel vorne:

cone{<0,0,1/sqrt(2)>, 1/sqrt(2)
     <0,0,sqrt(2)>, 0.0
      texture{pigment{ color rgb<0,0,1>}
                finish { phong 1 reflection 0.3}
               }
 
     }

//Kegel hinten:

cone{<0,0,-1/sqrt(2)>, 1/sqrt(2)
     <0,0,-sqrt(2)>, 0.0
    texture{pigment{ color rgb<0,0,1>}
                finish { phong 1 reflection 0.3}
               }

    } 
  
//     texture{ //pigment{ color rgb<0.15,1,0.3>}
//              //pigment { White_Marble }
//              //Polished_Chrome
//              Gold_Metal
//              
//              finish { phong 1 reflection 0.3}
//            }


}


#declare geruest=
union{

cylinder{<sqrt(2),0,0>,<0,sqrt(2),0>,0.03}
cylinder{<sqrt(2),0,0>,<0,0,sqrt(2)>,0.03}
cylinder{<sqrt(2),0,0>,<0,-sqrt(2),0>,0.03}
cylinder{<sqrt(2),0,0>,<0,0,-sqrt(2)>,0.03}

cylinder{<-sqrt(2),0,0>,<0,sqrt(2),0>,0.03}
cylinder{<-sqrt(2),0,0>,<0,0,sqrt(2)>,0.03}
cylinder{<-sqrt(2),0,0>,<0,-sqrt(2),0>,0.03}
cylinder{<-sqrt(2),0,0>,<0,0,-sqrt(2)>,0.03}

cylinder{<0,0,-sqrt(2)>,<0,sqrt(2),0>,0.03}
cylinder{<0,0,-sqrt(2)>,<0,-sqrt(2),0>,0.03}

cylinder{<0,0,sqrt(2)>,<0,sqrt(2),0>,0.03}
cylinder{<0,0,sqrt(2)>,<0,-sqrt(2),0>,0.03}

texture{ //pigment{ color rgb<0.15,1,0.3>}
              //pigment { White_Marble }
              Polished_Chrome
              //Gold_Metal
             
              finish { phong 1}
            }

} 

#declare ecken=
union{

sphere{<sqrt(2),0,0>, 0.1}
sphere{<-sqrt(2),0,0>, 0.1}
sphere{<0,sqrt(2),0>, 0.1}
sphere{<0,-sqrt(2),0>, 0.1}
sphere{<0,0,sqrt(2)>, 0.1}
sphere{<0,0,-sqrt(2)>, 0.1}

}
  
 
object {koerper1  rotate<-20,0,25> }
object {geruest  rotate<-20,0,25> }
object {ecken  rotate<-20,0,25> }