
#include "colors.inc"
#include "functions.inc"
#include "logo.inc"
#include "shapes2.inc"
#include "textures.inc"

global_settings {max_trace_level 5}

camera {location <0,6.5,0> direction 2*z look_at <0,2,0>}

//camera {location <0.0 ,1 ,-3.0>
//        look_at  <0.0 , 2 , 0.0>}
        
light_source {<-140,200,300> rgb <1.0, 1.0, 0.95>*1.5}
light_source {<140,200,-300> rgb <0.9, 0.9, 1.00>*0.8 shadowless}

#declare r1 = seed(0); 

background {color rgb<1,1,1>}

// sky -----------------------------------
//sky_sphere {
//    pigment {
//        gradient <0,1,0>
//        color_map { [0.00 rgb <0.6,0.7,1.0>]
//                    [0.35 rgb <0.0,0.1,0.8>]
//                    [0.65 rgb <0.0,0.1,0.8>]
//                    [1.00 rgb <0.6,0.7,1.0>]
//                  }
//                scale 2
//            } //
//           } //
// ground ---------------------------------
//plane{ <0,1,0>, 0
//       texture{
//          pigment {color rgb <0.85,0.6,0.4>}
//          normal  {bumps 0.75 scale 0.025  }
//               } // end of texture
//     } 

//-----------------------Okteader


#declare koerper1=
//union {

//Kugel:
sphere{<0,0,0>, sqrt(2) 
      
        texture{pigment{ color rgb<1,0,0> transmit 0.3}
                finish { phong 1 reflection 0.3}
               }
      }



#declare geruest=
union{

cylinder{<sqrt(2),0,0>,<0,sqrt(2),0>,0.03}
cylinder{<sqrt(2),0,0>,<0,0,sqrt(2)>,0.03}
cylinder{<sqrt(2),0,0>,<0,-sqrt(2),0>,0.03}
cylinder{<sqrt(2),0,0>,<0,0,-sqrt(2)>,0.03}

cylinder{<-sqrt(2),0,0>,<0,sqrt(2),0>,0.03}
cylinder{<-sqrt(2),0,0>,<0,0,sqrt(2)>,0.03}
cylinder{<-sqrt(2),0,0>,<0,-sqrt(2),0>,0.03}
cylinder{<-sqrt(2),0,0>,<0,0,-sqrt(2)>,0.03}

cylinder{<0,0,-sqrt(2)>,<0,sqrt(2),0>,0.03}
cylinder{<0,0,-sqrt(2)>,<0,-sqrt(2),0>,0.03}

cylinder{<0,0,sqrt(2)>,<0,sqrt(2),0>,0.03}
cylinder{<0,0,sqrt(2)>,<0,-sqrt(2),0>,0.03}

texture{ //pigment{ color rgb<0.15,1,0.3>}
              //pigment { White_Marble }
              Polished_Chrome
              //Gold_Metal
             
              finish { phong 1}
            }

} 

#declare ecken=
union{

sphere{<sqrt(2),0,0>, 0.1}
sphere{<-sqrt(2),0,0>, 0.1}
sphere{<0,sqrt(2),0>, 0.1}
sphere{<0,-sqrt(2),0>, 0.1}
sphere{<0,0,sqrt(2)>, 0.1}
sphere{<0,0,-sqrt(2)>, 0.1}

}


object {koerper1  rotate<-20,0,25> }
object {geruest  rotate<-20,0,25> }
object {ecken  rotate<-20,0,25> }