
#include "colors.inc"
#include "functions.inc"
#include "logo.inc"
#include "shapes2.inc"
#include "textures.inc"

global_settings {max_trace_level 5}

camera {location <0,25,0> direction 2*z look_at <0,2,0>}

//camera {location <0.0 ,1 ,-3.0>
//        look_at  <0.0 , 2 , 0.0>}
        
light_source {<-140,200,300> rgb <1.0, 1.0, 0.95>*1.5}
light_source {<140,200,-300> rgb <0.9, 0.9, 1.00>*0.8 shadowless}

#declare r1 = seed(0); 

background {color rgb<1,1,1>}


object {Tetrahedron texture{pigment{ color rgb<1,0,0> }
                finish { phong 1 reflection 0.3}
               } translate<-3,0,0> rotate<-20,0,10>}

object {Octahedron texture{pigment{ color rgb<0,1,0> }
                finish { phong 1 reflection 0.3}
               } translate<1,0,1> rotate<-10,50,30>} 
               
object {Dodecahedron texture{pigment{ color rgb<0,0,1> }
                finish { phong 1 reflection 0.3}
               } translate<4,0,0> rotate<0,-10,0>}
                                                    
object {Icosahedron texture{pigment{ color rgb<0,1,1> }
                finish { phong 1 reflection 0.3}
               } translate<7,0,0> rotate<0,0,0>} 

object {Cube texture{pigment{ color rgb<1,1,0> }
                finish { phong 1 reflection 0.3}
               } translate<-6.5,0,0> rotate<10,0,10>}